## Index → Modules → Validators

### Validator: LDAP

The LDAP validator allows you to authenticate a user using the Lightweight Directory Access Protocol v3.

#### Parameters

Parameter | Description
--- | ---
server | Name of the host providing the LDAP service.
port | Optional. Port number of the LDAP service. Default: 389.
binddn | Optional. Bind Distinguished Name (`user`). If none is provided and anonymous bind will be attempted.
bindpw | Bind Password (`password`).
basedn | Base Distinguished Name.
filter | A filter that defines the conditions that must be fulfilled in order for the search to match a given entry.
tls | Optional. Enable the use of TLS based integrity. Defaults to 0.
ca_file | Optional. It's the CA filename. Must be provided if TLS is enabled.

#### Compatibility

This validator is compatible with the basic scheme.